com.google.gwt.uibinder.attributeparsers

## Class StrictAttributeParser.FieldReferenceDelegate

- java.lang.Object
- - com.google.gwt.uibinder.attributeparsers.StrictAttributeParser.FieldReferenceDelegate

All Implemented Interfaces:
  FieldReferenceConverter.Delegate

Enclosing class:
  StrictAttributeParser

    static class StrictAttributeParser.FieldReferenceDelegate
    extends java.lang.Object
    implements FieldReferenceConverter.Delegate

Package protected for testing.

### Constructor Summary

Constructors
Constructor and Description
`FieldReferenceDelegate(JType... types)`

### Method Summary

All Methods Instance Methods Concrete Methods
`JType[]` `getTypes()` Returns the types any parsed field references are expected to return.
`java.lang.String` `handleFragment(java.lang.String fragment)` Called for fragment around and between field references.
`java.lang.String` `handleReference(java.lang.String reference)` Called for each expanded field reference, to allow it to be stitched together with surrounding fragments.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FieldReferenceDelegate

    FieldReferenceDelegate(JType... types)

### Method Detail

#### getTypes

    public JType[] getTypes()

Description copied from interface: `FieldReferenceConverter.Delegate`
Returns the types any parsed field references are expected to return. Multiple values indicates an overload. E.g., in either a String or a SafeUri is allowed.

Specified by:
  `getTypes` in interface `FieldReferenceConverter.Delegate`

#### handleFragment

    public java.lang.String handleFragment(java.lang.String fragment)
                                    throws FieldReferenceConverter.IllegalFieldReferenceException

Description copied from interface: `FieldReferenceConverter.Delegate`
Called for fragment around and between field references.

Note that it will be called with empty strings if these surrounding bits are empty. E.g., "{style.enabled} fancy {style.impressive}" would call this method three times, with "", " fancy ", and "".

A string with no field references is treated as a single fragment, and causes a single call to this method.

Specified by:
  `handleFragment` in interface `FieldReferenceConverter.Delegate`
Throws:
  `FieldReferenceConverter.IllegalFieldReferenceException`

#### handleReference

    public java.lang.String handleReference(java.lang.String reference)
                                     throws FieldReferenceConverter.IllegalFieldReferenceException

Description copied from interface: `FieldReferenceConverter.Delegate`
Called for each expanded field reference, to allow it to be stitched together with surrounding fragments.

Specified by:
  `handleReference` in interface `FieldReferenceConverter.Delegate`
Throws:
  `FieldReferenceConverter.IllegalFieldReferenceException`